morgan pushed to branch tor-browser-128.1.0esr-14.0-1 at The Tor Project / Applications / Tor Browser
Commits:
5ad278a4 by Pier Angelo Vendrame at 2024-08-22T22:10:52+00:00
fixup! Firefox preference overrides.
Bug 42830: Enable Web Audio API.
We were concerned about fingerprintability of these APIs.
However, Mozilla switched to the same Math library for all platforms, so
these concerns are less reduced (and are mostly about different
architectures, that probably leak anyway).
So, for compatibility, we decided to enable Web Audio.
- - - - -
1 changed file:
- browser/app/profile/001-base-profile.js
Changes:
=====================================
browser/app/profile/001-base-profile.js
=====================================
@@ -377,8 +377,7 @@ pref("dom.disable_window_move_resize", true);
// Set video VP9 to 0 for everyone (bug 22548)
pref("media.benchmark.vp9.threshold", 0);
pref("privacy.resistFingerprinting.block_mozAddonManager", true); // Bug 26114
-pref("dom.webaudio.enabled", false); // Bug 13017: Disable Web Audio API
-pref("dom.webmidi.enabled", false); // Bug 41398: Disable Web MIDI API
+pref("dom.webmidi.enabled", false); // Bug 41398: Disable Web MIDI API
// tor-browser#42043: Stop reporting device IDs (and spoof their number without
// RFP, RFP already reports 1 audioinput and 1 videoinput, but still has
// randomized IDs when this pref is true).
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/5ad278a…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/5ad278a…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch mullvad-browser-128.1.0esr-14.0-1 at The Tor Project / Applications / Mullvad Browser
Commits:
3dd4deb5 by Pier Angelo Vendrame at 2024-08-22T22:07:24+00:00
fixup! Firefox preference overrides.
Bug 42611: Set clipboard.imageAsFile.enabled to false
In this way, when you copy an image to the clipboard, its URL is not
copied as well.
This replaces a patch we used to have in the previous versions after
Mozilla implemented this preference in Firefox 120.
- - - - -
1 changed file:
- browser/app/profile/001-base-profile.js
Changes:
=====================================
browser/app/profile/001-base-profile.js
=====================================
@@ -100,6 +100,11 @@ pref("browser.pagethumbnails.capturing_disabled", true);
// Empty clipboard content from private windows on exit (tor-browser#42154)
pref("browser.privatebrowsing.preserveClipboard", false);
+// tor-browser#42611: Do not include the URL of the image, when copying it.
+// Also, do not save clipboard in history/cloud.
+pref("clipboard.imageAsFile.enabled", false);
+pref("clipboard.copyPrivateDataToClipboardCloudOrHistory", false);
+
// Enable HTTPS-Only mode (tor-browser#19850)
pref("dom.security.https_only_mode", true);
// The previous pref automatically sets this to true (see StaticPrefList.yaml),
View it on GitLab: https://gitlab.torproject.org/tpo/applications/mullvad-browser/-/commit/3dd…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/mullvad-browser/-/commit/3dd…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch base-browser-128.1.0esr-14.0-1 at The Tor Project / Applications / Tor Browser
Commits:
bc758fe5 by Pier Angelo Vendrame at 2024-08-22T22:06:34+00:00
fixup! Firefox preference overrides.
Bug 42611: Set clipboard.imageAsFile.enabled to false
In this way, when you copy an image to the clipboard, its URL is not
copied as well.
This replaces a patch we used to have in the previous versions after
Mozilla implemented this preference in Firefox 120.
- - - - -
1 changed file:
- browser/app/profile/001-base-profile.js
Changes:
=====================================
browser/app/profile/001-base-profile.js
=====================================
@@ -100,6 +100,11 @@ pref("browser.pagethumbnails.capturing_disabled", true);
// Empty clipboard content from private windows on exit (tor-browser#42154)
pref("browser.privatebrowsing.preserveClipboard", false);
+// tor-browser#42611: Do not include the URL of the image, when copying it.
+// Also, do not save clipboard in history/cloud.
+pref("clipboard.imageAsFile.enabled", false);
+pref("clipboard.copyPrivateDataToClipboardCloudOrHistory", false);
+
// Enable HTTPS-Only mode (tor-browser#19850)
pref("dom.security.https_only_mode", true);
// The previous pref automatically sets this to true (see StaticPrefList.yaml),
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/bc758fe…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/bc758fe…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch tor-browser-128.1.0esr-14.0-1 at The Tor Project / Applications / Tor Browser
Commits:
8d480877 by Pier Angelo Vendrame at 2024-08-22T21:44:14+00:00
fixup! Firefox preference overrides.
Bug 42611: Set clipboard.imageAsFile.enabled to false
In this way, when you copy an image to the clipboard, its URL is not
copied as well.
This replaces a patch we used to have in the previous versions after
Mozilla implemented this preference in Firefox 120.
- - - - -
1 changed file:
- browser/app/profile/001-base-profile.js
Changes:
=====================================
browser/app/profile/001-base-profile.js
=====================================
@@ -100,6 +100,11 @@ pref("browser.pagethumbnails.capturing_disabled", true);
// Empty clipboard content from private windows on exit (tor-browser#42154)
pref("browser.privatebrowsing.preserveClipboard", false);
+// tor-browser#42611: Do not include the URL of the image, when copying it.
+// Also, do not save clipboard in history/cloud.
+pref("clipboard.imageAsFile.enabled", false);
+pref("clipboard.copyPrivateDataToClipboardCloudOrHistory", false);
+
// Enable HTTPS-Only mode (tor-browser#19850)
pref("dom.security.https_only_mode", true);
// The previous pref automatically sets this to true (see StaticPrefList.yaml),
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/8d48087…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/8d48087…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch maint-13.5 at The Tor Project / Applications / tor-browser-build
Commits:
32537994 by Nicolas Vigier at 2024-08-22T19:09:19+00:00
Bug 41168: Check that we are not changing other channel when deploying update_responses
- - - - -
fb9e1493 by Nicolas Vigier at 2024-08-22T19:09:23+00:00
Bug 41168: Fix check in update_responses deploy script
The check for modified files from other channels was inverted.
- - - - -
1 changed file:
- tools/signing/upload-update_responses-to-staticiforme
Changes:
=====================================
tools/signing/upload-update_responses-to-staticiforme
=====================================
@@ -63,6 +63,18 @@ echo "update_responses_commit: $update_responses_commit"
cd "$update_dir"
git fetch
+changed_files="\$(git diff --name-only HEAD $update_responses_commit)"
+if echo "\$changed_files" | grep -qv "$tbb_version_type"
+then
+ echo >&2 "Error: checking out new update_response_commit will changes"
+ echo >&2 "some files outside of the $tbb_version_type directory:"
+ echo "\$changed_files" | grep -v "$tbb_version_type" >&2
+ echo >&2 "--"
+ echo >&2 "If this is really what you want to do, edit this script to"
+ echo >&2 "remove the line 'exit 1' and run it again."
+ echo >&2 "See tor-browser-build#41168 for more details."
+ exit 1
+fi
git checkout "$update_responses_commit"
static-update-component aus1.torproject.org
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/compare/…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/compare/…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch main at The Tor Project / Applications / tor-browser-build
Commits:
db976d61 by Nicolas Vigier at 2024-08-22T19:01:47+00:00
Bug 41168: Fix check in update_responses deploy script
The check for modified files from other channels was inverted.
- - - - -
1 changed file:
- tools/signing/upload-update_responses-to-staticiforme
Changes:
=====================================
tools/signing/upload-update_responses-to-staticiforme
=====================================
@@ -64,7 +64,7 @@ echo "update_responses_commit: $update_responses_commit"
cd "$update_dir"
git fetch
changed_files="\$(git diff --name-only HEAD $update_responses_commit)"
-if ! echo "\$changed_files" | grep -qv "$tbb_version_type"
+if echo "\$changed_files" | grep -qv "$tbb_version_type"
then
echo >&2 "Error: checking out new update_response_commit will changes"
echo >&2 "some files outside of the $tbb_version_type directory:"
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/d…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/d…
You're receiving this email because of your account on gitlab.torproject.org.